function requestsPdf(format) {
  const isFormatPdf = format && format.toLowerCase() === 'pdf';
  return isFormatPdf;
}

function displayPdf(apiUrl, reportName, database, idColumn, ids) {
  const pdfOptions = {
    contentPath: `${location.pathname}?reportName=${reportName}&database=${database}&idcolumn=${idColumn}&id=${ids}`,
    format: 'A4',
    windowStatus: 'ready_for_pdf',
    height: undefined,
    width: undefined,
    landscape: false,
  };
  const pdfUrl = getPdfUrl(apiUrl, pdfOptions);
  window.open(pdfUrl, '_self');
}

function getPdfUrl(apiUrl, pdfOptions) {
  if (!pdfOptions || !pdfOptions.contentPath) {
    throw new Error('pdfOptions argument and contentPath option must not be undefined');
  }

  let pdfParameters = '';
  if (pdfOptions.format) {
    pdfParameters = pdfParameters + `&format=${encodeURIComponent(pdfOptions.format)}`;
  }
  if (pdfOptions.landscape) {
    pdfParameters = pdfParameters + `&landscape=${pdfOptions.landscape}`;
  }
  if (pdfOptions.windowStatus) {
    pdfParameters = pdfParameters + `&windowStatus=${encodeURIComponent(pdfOptions.windowStatus)}`;
  }
  if (pdfOptions.width) {
    pdfParameters = pdfParameters + `&width=${pdfOptions.width}`;
  }
  if (pdfOptions.height) {
    pdfParameters = pdfParameters + `&height=${pdfOptions.height}`;
  }

  return `${apiUrl}Pdf?contentPath=${encodeURIComponent(pdfOptions.contentPath)}&pdfParameters=${encodeURIComponent(pdfParameters)}`;
}

function readyForPdf(){
  setTimeout(() => {
    window.status = 'ready_for_pdf';
  }, 200);
}
